package com.example.service;

import com.example.domain.model.Product;
import com.example.domain.model.Review;
import io.smallrye.mutiny.Uni;

import javax.enterprise.context.ApplicationScoped;
import java.util.Map;
import java.util.Optional;
import java.util.UUID;

@ApplicationScoped
public class ReviewService {

    private static final Map<UUID, Review> reviewMap = Map.of(
            UUID.fromString("608c6df0-081b-429a-b954-031ce760eaf8"), new Review()
                    .setId(UUID.fromString("608c6df0-081b-429a-b954-031ce760eaf8"))
                    .setText("Excellent!")
                    .setProduct(new Product().setId(UUID.fromString("bfcd3cc0-dc58-4e20-8c4c-a313de3ad8d9"))),
            UUID.fromString("23f9f450-1490-45e7-a917-dd900c8f204d"), new Review()
                    .setId(UUID.fromString("23f9f450-1490-45e7-a917-dd900c8f204d"))
                    .setText("Nice!")
                    .setProduct(new Product().setId(UUID.fromString("bfcd3cc0-dc58-4e20-8c4c-a313de3ad8d9"))));

    public Uni<Review> findById(UUID id) {
        return Uni.createFrom().item(Optional.ofNullable(reviewMap.get(id)).orElseThrow());
    }

}
